
Set(WO_BATCH_DENSE_DIR Test/WOBatch)

INCLUDE_DIRECTORIES(${WO_BATCH_DENSE_DIR})

Set(WO_BATCH_DENSE_HEADER_FILES  
	${WO_BATCH_DENSE_DIR}/WOBatch.hpp )
	
SOURCE_GROUP("Header Files" FILES ${CARACOTSIOS_SPARSE_HEADER_FILES} )

Set(WO_BATCH_DENSE_SOURCE_FILES 
	${WO_BATCH_DENSE_DIR}/main.cpp
	${WO_BATCH_DENSE_DIR}/EvalForward.cpp
	${WO_BATCH_DENSE_DIR}/EvalReverse.cpp
	${WO_BATCH_DENSE_DIR}/EvalInitialValues.cpp
	${WO_BATCH_DENSE_DIR}/EvalFinalValues.cpp
	${WO_BATCH_DENSE_DIR}/EvalParameters.cpp
	${WO_BATCH_DENSE_DIR}/GetProblemInfo.cpp
	${WO_BATCH_DENSE_DIR}/EvalMass.cpp
	${WO_BATCH_DENSE_DIR}/icd.cpp
	${WO_BATCH_DENSE_DIR}/a1_rhs.cpp
	${WO_BATCH_DENSE_DIR}/t1_rhs.cpp )
	
add_executable(WOBatch ${WO_BATCH_DENSE_HEADER_FILES} 
	${WO_BATCH_DENSE_SOURCE_FILES} )

target_link_libraries(WOBatch Nixe)



if(MSVC)
SET_PROPERTY(TARGET WOBatch PROPERTY LINK_FLAGS_DEBUG  "/NODEFAULTLIB:MSVCRT" )
endif()

#ADD_TEST(WOBatch ${EXECUTABLE_OUTPUT_PATH}/WOBatch ${CMAKE_CURRENT_SOURCE_DIR}/${WO_BATCH_DENSE_DIR}/ReferenceHessian.dat)

